Get Docket Details By Request Id
curl --request GET \
--url https://api.baselayer.com/docket_searches/details/{docket_details_request_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/docket_searches/details/{docket_details_request_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/docket_searches/details/{docket_details_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"docket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"error": "<string>",
"docket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"docket_number": "A19284",
"court": "Supreme Court of Orange County",
"title": "Doe v. City of New York",
"is_bankruptcy": true,
"state": "CA",
"division": "Civil Court Division",
"judges": [
"Honorable Paul Shaw"
],
"case_type": "Civil",
"status": "Pending",
"bankruptcy_type": "Chapter 7",
"date_filed": "1900-01-01",
"date_closed": "2023-12-25",
"last_synced_at": "2023-11-07T05:31:56Z",
"parties": [],
"updates": [],
"match_level": "NO_MATCH",
"search_entity_name": "<string>",
"search_entity_type": "Business",
"match_confidence": {
"confidence": "high",
"name_match": "NO_MATCH",
"address_match": "STATE",
"date_match": "CONSISTENT"
},
"risk_level": "low",
"normalized_status": "open"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Docket Details
Get Docket Details By Request Id
Fetches the most recent docket details for the given docket details request ID.
GET
/
docket_searches
/
details
/
{docket_details_request_id}
Get Docket Details By Request Id
Authorizations
Path Parameters
The unique identifier of the docket to fetch details for.
Example:
"202cb286-01b3-477d-be8f-c411feb766cd"
Response
Successful Response
Represents a docket detail response.
ID of the docket update request
ID of the docket the search was performed for
State of the update request
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The docket associated with the update request
Show child attributes
Show child attributes